=== debian/changelog ===
vibes (0.2.3+dfsg-1.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:23:38 +1100

vibes (0.2.3+dfsg-1.1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:26:38 +0000

vibes (0.2.3+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063045

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 22:34:17 +0000

vibes (0.2.3+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #1059434)

 -- Rafael Laboissière <rafael@debian.org>  Mon, 25 Dec 2023 12:52:39 -0300
