=== debian/control ===
Source: vibes
Section: math
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Rafael Laboissière <rafael@debian.org>
Rules-Requires-Root: no
Build-Depends: dpkg-dev (>= 1.22.5), cmake,
               debhelper-compat (= 13),
               libqt5svg5-dev,
               pandoc,
               qtbase5-dev,
               xauth,
               xvfb
Standards-Version: 4.6.2
Homepage: http://enstabretagnerobotics.github.io/VIBES/
#Vcs-Browser: https://salsa.debian.org/debian/vibes
#Vcs-Git: https://salsa.debian.org/debian/vibes.git

Package: vibes
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: visualizer for intervals and boxes
 VIBes is a visualization system that aims at providing people working
 with interval methods a way to display results (boxes, pavings),
 without worrying with GUI programming. It provides drawing functions
 accessible from a lot of programming languages, without complex
 installation and library dependencies. The main design goal of VIBes
 is to be cross-platform, available from different programming
 languages, simple to set-up, easy to port to a new language.

Package: libvibes-dev
Section: libdevel
Architecture: any
Depends: libvibes0t64 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
Description: visualizer for intervals and boxes (development files)
 VIBes is a visualization system that aims at providing people working
 with interval methods a way to display results (boxes, pavings),
 without worrying with GUI programming. It provides drawing functions
 accessible from a lot of programming languages, without complex
 installation and library dependencies. The main design goal of VIBes
 is to be cross-platform, available from different programming
 languages, simple to set-up, easy to port to a new language.
 .
 This package contains the header files for creating clients in C++
 for VIBes, as well as the code examples.

Package: libvibes0t64
Provides: ${t64:Provides}
Replaces: libvibes0
Breaks: libvibes0 (<< ${source:Version})
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: visualizer for intervals and boxes (client library for C++)
 VIBes is a visualization system that aims at providing people working
 with interval methods a way to display results (boxes, pavings),
 without worrying with GUI programming. It provides drawing functions
 accessible from a lot of programming languages, without complex
 installation and library dependencies. The main design goal of VIBes
 is to be cross-platform, available from different programming
 languages, simple to set-up, easy to port to a new language.
 .
 This package contains the shared library for building client
 applications for VIBes in C++.
