## vibes 0.3.1%2Bdfsg

=== debian/changelog ===
vibes (0.3.1+dfsg-2) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.7.2 (no changes needed)
    + Mark package libvibes0t64 Multi-Arch
    + Drop “Rules-Requires-Root: no”, which is now the default
    + Build-depend on Qt6
  * d/watch: Convert to format version 5

 -- Rafael Laboissière <rafael@debian.org>  Sat, 20 Sep 2025 09:49:59 -0300

vibes (0.3.1+dfsg-1) unstable; urgency=medium

  * New upstream version 0.3.1+dfsg

 -- Rafael Laboissière <rafael@debian.org>  Sat, 12 Oct 2024 01:37:51 -0300

vibes (0.3.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.3.0+dfsg
  * d/p/build-shared-library.patch: Refresh for new upstream version
  * d/libvibes0t64.lintian-overrides: Drop unused override
    package-name-doesnt-match-sonames

 -- Rafael Laboissière <rafael@debian.org>  Fri, 20 Sep 2024 13:40:06 -0300

vibes (0.2.3+dfsg-2) unstable; urgency=medium

  * Acknowledge NMUs, thanks Steve Langasek
  * d/control:
    + Use secure URL for Homepage
    + Uncomment Vcs-* fields
    + Bump Standards-Version to 4.7.0 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Tue, 30 Apr 2024 06:48:29 -0300

vibes (0.2.3+dfsg-1.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Steve Langasek <vorlon@debian.org>  Sun, 04 Feb 2024 17:47:27 +0000
