## vibes 0.3.1+dfsg

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: vibes
 Section: math
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Rafael Laboissière <rafael@debian.org>
+Maintainer: Rafael Laboissière <rafael@debian.org>
 Rules-Requires-Root: no
-Build-Depends: dpkg-dev (>= 1.22.5), cmake,
+Build-Depends: cmake,
                debhelper-compat (= 13),
+               dpkg-dev (>= 1.22.5),
                libqt5svg5-dev,
                pandoc,
                qtbase5-dev,
                xauth,
                xvfb
-Standards-Version: 4.6.2
-Homepage: http://enstabretagnerobotics.github.io/VIBES/
-#Vcs-Browser: https://salsa.debian.org/debian/vibes
-#Vcs-Git: https://salsa.debian.org/debian/vibes.git
+Standards-Version: 4.7.0
+Homepage: https://enstabretagnerobotics.github.io/VIBES/
+Vcs-Browser: https://salsa.debian.org/debian/vibes
+Vcs-Git: https://salsa.debian.org/debian/vibes.git
 
 Package: vibes
 Architecture: any
