=== debian/rules ===
#!/usr/bin/make -f

# See https://wiki.debian.org/Hardening#Notes_for_packages_using_CMake
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CXXFLAGS += $(CPPFLAGS)

CMAKE_FLAGS = -DCMAKE_VERBOSE_MAKEFILE=ON -DCMAKE_INSTALL_PREFIX=distrib

%:
	dh $@

override_dh_auto_build:
	cd viewer ;			\
	mkdir -p build ;		\
	cd build ;			\
	cmake $(CMAKE_FLAGS) .. ;	\
	make
	pandoc --standalone --from=markdown --to=man	\
	    debian/VIBes-viewer.md			\
	    --output=viewer/build/VIBes-viewer.1

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	VIBES_VIEWER=viewer/build/VIBes-viewer	\
	    QT_QPA_PLATFORM=offscreen		\
	    xvfb-run -a debian/tests/run-tests
endif
