=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,\
      compression=xz,\
      uversionmangle=s/^vibes-/vibes-/,\
      dversionmangle=s/[~+]dfsg[0-9]*//" \
https://github.com/ENSTABretagneRobotics/VIBES/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
