## vibes 0.3.2+dfsg

=== debian/changelog ===
vibes (0.3.2+dfsg-1) unstable; urgency=medium

  * New upstream version 0.3.2+dfsg
  * d/control: Mark the build-dependencies that are necessary only for
    running the test suite with the profile <!nocheck>
  * d/rules:
    + Put target override_dh_auto_test nside the ifeq conditional
    + Set DEB_BUILD_MAINT_OPTIONS to hardening=+all

 -- Rafael Laboissière <rafael@debian.org>  Wed, 08 Oct 2025 08:59:25 -0300
