=== debian/changelog ===
vibes (0.3.3+dfsg-1) unstable; urgency=medium

  * New upstream version 0.3.3+dfsg

 -- Rafael Laboissière <rafael@debian.org>  Fri, 17 Oct 2025 12:20:49 -0300
