=== debian/control ===
--- 
+++ 
@@ -2,16 +2,15 @@
 Section: math
 Priority: optional
 Maintainer: Rafael Laboissière <rafael@debian.org>
-Rules-Requires-Root: no
 Build-Depends: cmake,
                debhelper-compat (= 13),
                dpkg-dev (>= 1.22.5),
-               libqt5svg5-dev,
                pandoc,
-               qtbase5-dev,
-               xauth,
-               xvfb
-Standards-Version: 4.7.0
+               qt6-base-dev,
+               qt6-svg-dev,
+               xauth <!nocheck>,
+               xvfb <!nocheck>
+Standards-Version: 4.7.2
 Homepage: https://enstabretagnerobotics.github.io/VIBES/
 Vcs-Browser: https://salsa.debian.org/debian/vibes
 Vcs-Git: https://salsa.debian.org/debian/vibes.git
@@ -54,6 +53,7 @@
 Breaks: libvibes0 (<< ${source:Version})
 Section: libs
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: visualizer for intervals and boxes (client library for C++)
