=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,8 @@
 CXXFLAGS += $(CPPFLAGS)
 
 CMAKE_FLAGS = -DCMAKE_VERBOSE_MAKEFILE=ON -DCMAKE_INSTALL_PREFIX=distrib
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@
@@ -20,8 +22,8 @@
 	    debian/VIBes-viewer.md			\
 	    --output=viewer/build/VIBes-viewer.1
 
+ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
-ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	VIBES_VIEWER=viewer/build/VIBes-viewer	\
 	    QT_QPA_PLATFORM=offscreen		\
 	    xvfb-run -a debian/tests/run-tests
