=== debian/tests/control ===
Test-Command: QT_QPA_PLATFORM=offscreen xvfb-run -a debian/tests/run-tests
Depends: @, @builddeps@
