=== debian/watch ===
Version: 5

Template: Github
Owner: ENSTABretagneRobotics
Project: VIBES
Repacksuffix: +dfsg
Uversionmangle: s/^vibes-/vibes-/
Dversionmangle: s/[~+]dfsg[0-9]*//
Compression: xz
