## vibes 0.3.4+dfsg

=== debian/changelog ===
vibes (0.3.4+dfsg-1) unstable; urgency=medium

  * New upstream version 0.3.4+dfsg

 -- Rafael Laboissière <rafael@debian.org>  Tue, 06 Jan 2026 08:50:15 -0300
